# Generated by Django 4.1.2 on 2022-12-18 16:08

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import zitap.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(default=zitap.models.generate_random_url, max_length=6, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('slot_interval', models.DurationField(default=datetime.timedelta(seconds=900))),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('start_time', models.TimeField(default='09:00')),
                ('end_time', models.TimeField(default='20:00')),
            ],
        ),
        migrations.CreateModel(
            name='Participant',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slots', models.BinaryField()),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='zitap.event')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Date',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='zitap.event')),
            ],
        ),
    ]
